#!/bin/sh
# combinehostgroups.sh
#
# combines generated hostgrous
#
# called by nagios-config-build.sh
# calls mkhostgroup.sh
#
# Copyright (C) 2009 WordPro Information Systems 
# 
#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
# 
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
# 
#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <http://www.gnu.org/licenses/>.


HOST=""
IPADDR=""
NEWFLAG=1
OUTFILE=myhostgroups.cfg

for HOSTGROUP in `ls *.dat | sed 's/.dat//'`
do

DATA_FILE=$HOSTGROUP.dat
OUT_FILE=$HOSTGROUP.cfg

./mkhostgroup.sh $HOSTGROUP

cat $HOSTGROUP.hostgroups.cfg >> $OUTFILE
done

